Ejb3DiscriminatorColumn (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class Ejb3DiscriminatorColumn

    java.lang.Object
      org.hibernate.cfg.Ejb3Column
          org.hibernate.cfg.Ejb3DiscriminatorColumn

    public class Ejb3DiscriminatorColumn

extends Ejb3Column

Discriminator column

Field Summary

Fields inherited from class org.hibernate.cfg.Ejb3Column
`DEFAULT_COLUMN_LENGTH, joins, propertyHolder, sqlType`

Constructor Summary
`Ejb3DiscriminatorColumn()`

Method Summary
`static Ejb3DiscriminatorColumn` | `buildDiscriminatorColumn(DiscriminatorType type, DiscriminatorColumn discAnn, DiscriminatorFormula discFormulaAnn, Mappings mappings)`
`String` | `getDiscriminatorTypeName()`
`void` | `setDiscriminatorTypeName(String discriminatorTypeName)`
`String` | `toString()`

Methods inherited from class org.hibernate.cfg.Ejb3Column
`addColumnBinding, addIndex, bind, buildColumnFromAnnotation, buildColumnFromAnnotation, checkPropertyConsistency, forceNotNull, getFormulaString, getJoin, getLength, getLogicalColumnName, getMappingColumn, getMappings, getName, getPrecision, getPropertyHolder, getPropertyName, getScale, getSecondaryTableName, getSqlType, getTable, initMappingColumn, isFormula, isImplicit, isInsertable, isNameDeferred, isNullable, isSecondary, isUnique, isUpdatable, linkWithValue, redefineColumnName, setFormula, setImplicit, setInsertable, setJoins, setLength, setLogicalColumnName, setMappingColumn, setMappings, setNullable, setPrecision, setPropertyHolder, setPropertyName, setScale, setSecondaryTableName, setSqlType, setTable, setUnique, setUpdatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Ejb3DiscriminatorColumn

    public Ejb3DiscriminatorColumn()

Method Detail

### getDiscriminatorTypeName

    public String getDiscriminatorTypeName()

### setDiscriminatorTypeName

    public void setDiscriminatorTypeName(String discriminatorTypeName)

### buildDiscriminatorColumn

    public static Ejb3DiscriminatorColumn buildDiscriminatorColumn(DiscriminatorType type,
                                                                   DiscriminatorColumn discAnn,
                                                                   DiscriminatorFormula discFormulaAnn,
                                                                   Mappings mappings)

### toString

    public String toString()

  Overrides:
    `toString` in class `Ejb3Column`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.